Package Details: choqok-git r1830.5f0ea6f-1

Git Clone URL: https://aur.archlinux.org/choqok-git.git (read-only)
Package Base: choqok-git
Description: Microblogging client for KDE with support for Pump.io, GNU social and Twitter.com
Upstream URL: http://choqok.gnufolks.org/
Licenses: GPL
Conflicts: choqok
Provides: choqok
Replaces: choqok-frameworks-git
Submitter: RoozbehShafiee
Maintainer: arojas
Last Packager: arojas
Votes: 32
Popularity: 0.789916
First Submitted: 2010-11-05 07:25
Last Updated: 2015-06-08 21:01

Latest Comments

GillesC commented on 2015-09-23 13:46

Hi,

I have struggled for a few weeks already, being unable to compile. I cannot find the implied package, but each time I want to compile choqok-git, I get the following message:

"[ 35%] Building CXX object plugins/imstatus/CMakeFiles/choqok_imstatus.dir/imqdbus.cpp.o
(...)/aur-choqok-git/src/choqok/plugins/imstatus/imqdbus.cpp: Dans la fonction membre ‘void IMQDBus::useKopete(const QString&)’:
(...)/aur-choqok-git/src/choqok/plugins/imstatus/imqdbus.cpp:88:18: erreur: invalid use of incomplete type ‘class QDebug’
qWarning() << "Failed with error:" << rep.errorMessage();
^
In file included from /usr/include/qt/QtCore/qglobal.h:1100:0,
from /usr/include/qt/QtCore/qnamespace.h:37,
from /usr/include/qt/QtCore/qobjectdefs.h:41,
from /usr/include/qt/QtCore/qobject.h:40,
from /usr/include/qt/QtCore/QObject:1,
from (...)/aur-choqok-git/src/choqok/plugins/imstatus/imqdbus.h:27,
from (...)/aur-choqok-git/src/choqok/plugins/imstatus/imqdbus.cpp:24:
/usr/include/qt/QtCore/qlogging.h:51:7: note: forward declaration of ‘class QDebug’
class QDebug;
"

Any clue?

Thanls!

arojas commented on 2015-04-03 21:35

Merging in choqok-git

arojas commented on 2015-03-23 21:09

Fixed, thanks

ilpianista commented on 2015-03-23 09:53

Also, description, please use "Pump.io, GNU social and Twitter.com" (not strictly in this order). thanks

ilpianista commented on 2015-03-23 09:52

Hi, upstream url is wrong :-)

desaparecido commented on 2015-02-22 16:01

hi, thanks for this PKGBUILD ... I needed to add qoauth-git package to successfull build, with the qoauth version choqok builds fine but crash when add an account.

akurei commented on 2014-07-28 17:18

Actually I am not using choqok anymore, so I orphan this.

roentgen commented on 2014-07-28 17:05

Please update this package to use the VSC pacman standards.
https://wiki.archlinux.org/index.php/VCS_PKGBUILD_Guidelines

akurei commented on 2013-06-19 16:44

Done.

arojas commented on 2013-06-19 08:29

The port to the new API has been merged in master and the xardas008 github repo doesn't work anymore, please update the PKGBUILD

All comments